local depositData = '';
local totalDeposits = 0;
local expenseData = '';
local totalExpenses = 0;
local monthsData = '';
local monthNames = {['01']='Jan', ['02']='Feb', ['03']='Mar', ['04']='Apr', ['05']='May', ['06']='Jun', ['07']='Jul', ['08']='Aug', ['09']='Sep', ['10']='Oct', ['11']='Nov', ['12']='Dec'};

function handle_record(record)
    depositData = depositData .. record:get("TotalDeposits") .. ',';
    totalDeposits = totalDeposits + record:get("TotalDeposits");
    expenseData = expenseData .. record:get("TotalExpenses") .. ',';
    totalExpenses = totalExpenses + record:get("TotalExpenses");
    local entryDate = monthNames[record:get("MONTH")] .. '-' .. record:get("YEAR");
    monthsData = monthsData .. string.format('"%s",', entryDate);
    record:set('ENTRY_DATE', entryDate);
    record:set('Diff', record:get("TotalDeposits") - record:get("TotalExpenses"));
end

function complete(result)
    result:set('TREND_DEPOSITS', depositData);
    result:set('TREND_EXPENSES', expenseData);
    result:set('TREND_MONTHS', monthsData);
    result:set('TOTAL_DEPOSITS', totalDeposits);
    result:set('TOTAL_EXPENSES', totalExpenses);
    result:set('TOTAL_DIFF', totalDeposits - totalExpenses);
end